nxt

## Class Attachment.MonetarySystemExchangeSell

- java.lang.Object
- - nxt.Appendix.AbstractAppendix
  - - nxt.Attachment.AbstractAttachment
    - - nxt.Attachment.MonetarySystemExchange
      - - nxt.Attachment.MonetarySystemExchangeSell

- All Implemented Interfaces:
    Appendix, Attachment, Attachment.MonetarySystemAttachment
  Enclosing interface:
    Attachment

      public static final class Attachment.MonetarySystemExchangeSell
      extends Attachment.MonetarySystemExchange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Attachment

      `Attachment.AbstractAttachment, Attachment.AbstractShufflingAttachment, Attachment.AccountControlEffectiveBalanceLeasing, Attachment.ColoredCoinsAskOrderCancellation, Attachment.ColoredCoinsAskOrderPlacement, Attachment.ColoredCoinsAssetDelete, Attachment.ColoredCoinsAssetIncrease, Attachment.ColoredCoinsAssetIssuance, Attachment.ColoredCoinsAssetProperty, Attachment.ColoredCoinsAssetPropertyDelete, Attachment.ColoredCoinsAssetQuantity, Attachment.ColoredCoinsAssetTransfer, Attachment.ColoredCoinsBidOrderCancellation, Attachment.ColoredCoinsBidOrderPlacement, Attachment.ColoredCoinsDividendPayment, Attachment.ColoredCoinsOrderCancellation, Attachment.ColoredCoinsOrderPlacement, Attachment.DigitalGoodsDelisting, Attachment.DigitalGoodsDelivery, Attachment.DigitalGoodsFeedback, Attachment.DigitalGoodsListing, Attachment.DigitalGoodsPriceChange, Attachment.DigitalGoodsPurchase, Attachment.DigitalGoodsQuantityChange, Attachment.DigitalGoodsRefund, Attachment.EmptyAttachment, Attachment.MessagingAccountInfo, Attachment.MessagingAccountProperty, Attachment.MessagingAccountPropertyDelete, Attachment.MessagingAliasAssignment, Attachment.MessagingAliasBuy, Attachment.MessagingAliasDelete, Attachment.MessagingAliasSell, Attachment.MessagingHubAnnouncement, Attachment.MessagingPhasingVoteCasting, Attachment.MessagingPollCreation, Attachment.MessagingVoteCasting, Attachment.MonetarySystemAttachment, Attachment.MonetarySystemCurrencyDeletion, Attachment.MonetarySystemCurrencyIssuance, Attachment.MonetarySystemCurrencyMinting, Attachment.MonetarySystemCurrencyTransfer, Attachment.MonetarySystemExchange, Attachment.MonetarySystemExchangeBuy, Attachment.MonetarySystemExchangeSell, Attachment.MonetarySystemPublishExchangeOffer, Attachment.MonetarySystemReserveClaim, Attachment.MonetarySystemReserveIncrease, Attachment.PropertyDeleteAttachment, Attachment.SetPhasingOnly, Attachment.ShufflingAttachment, Attachment.ShufflingCancellation, Attachment.ShufflingCreation, Attachment.ShufflingProcessing, Attachment.ShufflingRecipients, Attachment.ShufflingRegistration, Attachment.ShufflingVerification, Attachment.TaggedDataAttachment, Attachment.TaggedDataExtend, Attachment.TaggedDataUpload, Attachment.UnencryptedDigitalGoodsDelivery`

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Field Summary

    - ### Fields inherited from interface nxt.Attachment

      `ARBITRARY_MESSAGE, ORDINARY_PAYMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonetarySystemExchangeSell(long currencyId, long rateNQT, long units)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionType` | `getTransactionType()`

    - ### Methods inherited from class nxt.Attachment.MonetarySystemExchange

      `getCurrencyId, getRateNQT, getUnits`

    - ### Methods inherited from class nxt.Attachment.AbstractAttachment

      `getBaselineFee, getBaselineFeeHeight, getNextFee, getNextFeeHeight`

    - ### Methods inherited from class nxt.Appendix.AbstractAppendix

      `getFullSize, getJSONObject, getSize, getVersion, isPhased, putBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `getFullSize, getJSONObject, getSize, getVersion, hasAppendix, isPhased, putBytes`

- - ### Constructor Detail

    - #### MonetarySystemExchangeSell

          public MonetarySystemExchangeSell(long currencyId,
                                            long rateNQT,
                                            long units)

  - ### Method Detail

    - #### getTransactionType

          public TransactionType getTransactionType()